Page MenuHomePhabricator

Broken edit summary preview on mobile VE
Closed, ResolvedPublic1 Story Points

Description

Displays an apparent message name, "parentheses", instead of the actual edit summary.

Firefox 55.0.2 on Android

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2017, 10:44 PM

Change 382428 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Move 'parentheses' message to MWSaveDialog's modules

https://gerrit.wikimedia.org/r/382428

Deskana assigned this task to Esanders.Oct 5 2017, 12:45 PM
Deskana triaged this task as High priority.
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Deskana set the point value for this task to 1.

Change 382428 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Move 'parentheses' message to MWSaveDialog's modules

https://gerrit.wikimedia.org/r/382428

Deskana added a subscriber: Deskana.Oct 5 2017, 4:16 PM

Let's get this SWAT deployed. I don't want a bug like this sitting around for a week.

Change 382490 had a related patch set uploaded (by Jforrester; owner: Esanders):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.2] Move 'parentheses' message to MWSaveDialog's modules

https://gerrit.wikimedia.org/r/382490

Change 382490 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.2] Move 'parentheses' message to MWSaveDialog's modules

https://gerrit.wikimedia.org/r/382490

Mentioned in SAL (#wikimedia-operations) [2017-10-05T19:49:28Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.2/extensions/VisualEditor/extension.json: SWAT: [[gerrit:382490|Move 'parentheses' message to MWSaveDialog's modules]] T177446 (duration: 00m 50s)

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Verified fixed in production, now it's back-ported.

Jdforrester-WMF closed this task as Resolved.Oct 5 2017, 7:51 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 5 2017, 7:51 PM